Bug 91033 - (IDE)Errata kernel kernel-2.4.20-13.7.i686.rpm hangs at IDE detection
(IDE)Errata kernel kernel-2.4.20-13.7.i686.rpm hangs at IDE detection
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.2
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-05-16 13:41 EDT by Bernd Bartmann
Modified: 2007-04-18 12:53 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:40:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bernd Bartmann 2003-05-16 13:41:36 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2.1) Gecko/20030225

Description of problem:
kernel-2.4.20-13.7.i686.rpm hangs when trying to detect IDE devices/controllers.
As I can't capture the boot messages right now here is the output from the
formerly running kernel 2.4.18-27.7.x:

May 16 18:53:47 picard kernel: Uniform Multi-Platform E-IDE driver Revision: 6.31
May 16 18:53:47 picard kernel: ide: Assuming 33MHz system bus speed for PIO
modes; override with idebus=xx
May 16 18:53:47 picard kernel: PIIX4: IDE controller on PCI bus 00 dev f9
May 16 18:53:47 picard kernel: PIIX4: chipset revision 17
May 16 18:53:47 picard kernel: PIIX4: not 100%% native mode: will probe irqs later
May 16 18:53:47 picard kernel:     ide0: BM-DMA at 0xf000-0xf007, BIOS settings:
hda:DMA, hdb:DMA
May 16 18:53:47 picard kernel:     ide1: BM-DMA at 0xf008-0xf00f, BIOS settings:
hdc:DMA, hdd:pio
May 16 18:53:47 picard kernel: PDC20262: IDE controller on PCI bus 02 dev 20
May 16 18:53:47 picard kernel: PCI: Found IRQ 5 for device 02:04.0
May 16 18:53:47 picard kernel: IRQ routing conflict for 00:1f.4, have irq 11,
want irq 5
May 16 18:53:47 picard kernel: PCI: Sharing IRQ 5 with 02:06.0
May 16 18:53:47 picard kernel: PDC20262: chipset revision 1
Mai 16 18:53:47 picard keytable: Loading keymap:  succeeded
May 16 18:53:47 picard kernel: PDC20262: not 100%% native mode: will probe irqs
later
May 16 18:53:47 picard kernel: PDC20262: (U)DMA Burst Bit ENABLED Primary PCI
Mode Secondary PCI Mode.
May 16 18:53:47 picard kernel:     ide2: BM-DMA at 0x9c00-0x9c07, BIOS settings:
hde:DMA, hdf:pio
May 16 18:53:47 picard kernel:     ide3: BM-DMA at 0x9c08-0x9c0f, BIOS settings:
hdg:DMA, hdh:DMA
May 16 18:53:47 picard kernel: HPT370A: IDE controller on PCI bus 02 dev 30
May 16 18:53:47 picard kernel: PCI: Found IRQ 5 for device 02:06.0
May 16 18:53:47 picard kernel: IRQ routing conflict for 00:1f.4, have irq 11,
want irq 5
May 16 18:53:47 picard kernel: PCI: Sharing IRQ 5 with 02:04.0
May 16 18:53:47 picard kernel: HPT370A: chipset revision 4
May 16 18:53:47 picard kernel: HPT370A: not 100%% native mode: will probe irqs later
May 16 18:53:47 picard kernel: HPT37X: using 33MHz PCI clock
May 16 18:53:47 picard kernel:     ide4: BM-DMA at 0xb400-0xb407, BIOS settings:
hdi:pio, hdj:DMA
May 16 18:53:47 picard kernel:     ide5: BM-DMA at 0xb408-0xb40f, BIOS settings:
hdk:pio, hdl:pio
May 16 18:53:47 picard kernel: hda: Maxtor 4D040H2, ATA DISK drive
May 16 18:53:47 picard kernel: hdb: CD-ROM 40X/AKU, ATAPI CD/DVD-ROM drive
May 16 18:53:47 picard kernel: hdc: MAXTOR 4K040H2, ATA DISK drive
May 16 18:53:47 picard kernel: hde: Maxtor 96147U8, ATA DISK drive
May 16 18:53:47 picard kernel: hdg: Maxtor 96147U8, ATA DISK drive
May 16 18:53:47 picard kernel: hdj: IC35L060AVER07-0, ATA DISK drive
May 16 18:53:47 picard kernel: hdk: OnStream DI-30, ATAPI TAPE drive
May 16 18:53:47 picard kernel: ide0 at 0x1f0-0x1f7,0x3f6 on irq 14
May 16 18:53:47 picard kernel: ide1 at 0x170-0x177,0x376 on irq 15

Here the system just hangs with this new kernel. With kernel-2.4.18-27.7.x no
problem occurs and the system continues with these messages:

May 16 18:53:47 picard kernel: ide2 at 0x8c00-0x8c07,0x9002 on irq 5
May 16 18:53:47 picard kernel: ide3 at 0x9400-0x9407,0x9802 on irq 5
May 16 18:53:47 picard kernel: ide4 at 0xa400-0xa407,0xa802 on irq 5
May 16 18:53:47 picard kernel: ide5 at 0xac00-0xac07,0xb002 on irq 5
May 16 18:53:47 picard kernel: blk: queue c0386984, I/O limit 4095Mb (mask
0xffffffff)
May 16 18:53:47 picard kernel: blk: queue c0386984, I/O limit 4095Mb (mask
0xffffffff)
May 16 18:53:47 picard kernel: hda: 80043264 sectors (40982 MB) w/2048KiB Cache,
CHS=4982/255/63, UDMA(100)
Mai 16 18:53:47 picard keytable: Systemfont laden:  succeeded
May 16 18:53:47 picard kernel: blk: queue c0386ce0, I/O limit 4095Mb (mask
0xffffffff)
May 16 18:53:47 picard kernel: blk: queue c0386ce0, I/O limit 4095Mb (mask
0xffffffff)
May 16 18:53:47 picard kernel: hdc: 78198750 sectors (40038 MB) w/2000KiB Cache,
CHS=77578/16/63, UDMA(100)
May 16 18:53:47 picard kernel: blk: queue c038703c, I/O limit 4095Mb (mask
0xffffffff)
May 16 18:53:47 picard kernel: blk: queue c038703c, I/O limit 4095Mb (mask
0xffffffff)
May 16 18:53:47 picard kernel: hde: 120060864 sectors (61471 MB) w/2048KiB
Cache, CHS=119108/16/63, UDMA(66)
May 16 18:53:47 picard kernel: blk: queue c0387398, I/O limit 4095Mb (mask
0xffffffff)
May 16 18:53:47 picard kernel: blk: queue c0387398, I/O limit 4095Mb (mask
0xffffffff)
May 16 18:53:47 picard kernel: hdg: 120060864 sectors (61471 MB) w/2048KiB
Cache, CHS=119108/16/63, UDMA(66)
May 16 18:53:47 picard kernel: hdj: 120103200 sectors (61493 MB) w/1916KiB
Cache, CHS=119150/16/63, UDMA(44)
May 16 18:53:47 picard kernel: ide-floppy driver 0.99.newide
May 16 18:53:47 picard kernel: Partition check:
May 16 18:53:47 picard kernel:  hda: hda1 hda2
May 16 18:53:47 picard kernel:  hdc: hdc1 hdc2
May 16 18:53:47 picard kernel:  hde: hde1
May 16 18:53:47 picard kernel:  hdg: hdg1
May 16 18:53:47 picard kernel:  hdj: hdj1
May 16 18:53:47 picard kernel: Floppy drive(s): fd0 is 1.44M
May 16 18:53:47 picard kernel: FDC 0 is a post-1991 82077
May 16 18:53:47 picard kernel: NET4: Frame Diverter 0.46
May 16 18:53:47 picard kernel: RAMDISK driver initialized: 16 RAM disks of 4096K
size 1024 blocksize
May 16 18:53:47 picard kernel: ide-floppy driver 0.99.newide


Version-Release number of selected component (if applicable):
kernel-2.4.20-13.7.i686.rpm

How reproducible:
Always

Steps to Reproduce:
1. install kernel-2.4.20-13.7
2. test with more than one IDE controller
3.
    

Additional info:
Comment 1 Bernd Bartmann 2003-06-03 16:22:41 EDT
IDE detection is still broken in the new errata kernel 2.4.20-18.7. The kernel
just hangs again while booting.
Comment 2 Bernd Bartmann 2003-07-30 12:42:44 EDT
Still broken for kernel 2.4.20-19.7.
Comment 3 Bugzilla owner 2004-09-30 11:40:56 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.